package net.refractions.udig.mapgraphic;


/**
 * 
 * An object which draws a graphic on a map.
 * 
 * @author Justin Deoliveira, Refractions Research Inc.
 * @since 0.6.0
 */
public interface MapGraphic {
 
    /** extension point id **/
    public static final String XPID = "net.refractions.udig.mapgraphic.mapgraphic"; //$NON-NLS-1$
    
    /**
     * 
     * Draws the graphic.
     * 
     * @param context The drawing context.
     */
    void draw(MapGraphicContext context);
}