/*
 *    uDig - User Friendly Desktop Internet GIS client
 *    http://udig.refractions.net
 *    (C) 2004, Refractions Research Inc.
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation;
 *    version 2.1 of the License.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 */
package net.refractions.udig.tools.internal;

import net.refractions.udig.project.ui.tool.ActionTool;
import net.refractions.udig.project.ui.tool.IToolContext;

/**
 *  summary sentence.
 * <p>
 * Paragraph ...
 * </p><p>
 * Responsibilities:
 * <ul>
 * <li>
 * <li>
 * </ul>
 * </p><p>
 * Example:<pre><code>
 * ZoomIn x = new ZoomIn( ... );
 * TODO code example
 * </code></pre>
 * </p>
 * @author jgarnett
 * @since 0.6.0
 */
public class ZoomIn implements ActionTool {

    private IToolContext context;

    /*
     * @see net.refractions.udig.project.ui.tool.ActionTool#run()
     */
    public void run() {
        context.sendASyncCommand(context.getNavigationFactory().createZoomCommand(Zoom.ZOOMFACTOR));
    }

    /*
     * @see net.refractions.udig.project.ui.tool.Tool#dispose()
     */
    public void dispose() {
    }

    /*
     * @see net.refractions.udig.project.ui.tool.Tool#setContext(net.refractions.udig.project.ui.tool.ToolContext)
     */
    public void setContext( IToolContext tools ) {
        context=tools;
    }

    /*
     * @see net.refractions.udig.project.ui.tool.Tool#getContext()
     */
    public IToolContext getContext() {
        return context;
    }

}
