package net.refractions.udig.catalog.memory;

import java.net.MalformedURLException;
import java.net.URL;

/**
 * A catalog service that is backed by an in memory data store. Features 
 * created in the datastore are non persistent.
 * 
 * @author Justin Deoliveira,Refractions Research Inc.,jdeolive@refractions.net
 *
 */
public class MemoryService {
	
	/** service creation key **/
	public static final String KEY = "scratch"; //$NON-NLS-1$
	
	/** special memory service url **/
	public static URL URL = null;
    static {
       try {
           URL = new URL("http://localhost/scratch"); //$NON-NLS-1$
       } 
       catch (MalformedURLException e) {
            e.printStackTrace();
       }
    }

}