package net.refractions.udig.tools.edit;

import net.refractions.udig.project.command.MapCommand;
import net.refractions.udig.project.ui.tool.IToolHandler;
import net.refractions.udig.project.ui.tool.Tool;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

/**
 * Handles all the commands that the FeatureEditTool is registered for.
 * 
 * @author jeichar
 */
public class FeatureEditCommandHandler extends AbstractHandler implements
		IToolHandler {

	private Tool tool;

	public void setTool(Tool tool) {
		this.tool=tool;
	}

	public void setCurrentCommandId(String currentCommandId) {
		//do nothing
	}

	public Object execute(ExecutionEvent event) throws ExecutionException {
		MapCommand command=tool.getContext().getEditFactory().createResetEditFeatureCommand();
		tool.getContext().sendASyncCommand(command);
		return null;
	}

}
